<%@ page language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%> 
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>
<%@taglib uri="/WEB-INF/lib/sa.tld" prefix="sa"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.fm.storade.ui.viewbeans.admin.PreferenceViewBean">

<sa:secondarymasthead name="SecondaryMasthead">

<cc:form name="preferenceForm" method="post">

<script language="JavaScript">

function init() {

  var deviceNameCB = document.getElementById("deviceNameCB");
  var ipAddressCB = document.getElementById("ipAddressCB");
  var vendorModelCB = document.getElementById("vendorModelCB");

  var objectRB = document.getElementById("objectRB");
  var objectRB2 = document.getElementById("objectRB2");
  var objectRB3 = document.getElementById("objectRB3");

  deviceNameCB.disabled=false;
  ipAddressCB.disabled=false;
  vendorModelCB.disabled=false;
  

  if (objectRB.checked) {
     deviceNameCB.disabled=true;
     deviceNameCB.checked=false;
  } else if (objectRB2.checked) {
     ipAddressCB.disabled=true;
     ipAddressCB.checked=false;
  } else if (objectRB3.checked) {
     vendorModelCB.disabled=true;
     vendorModelCB.checked=false;
  }

}

</script>

<!-- Page Title --> 
<cc:pagetitle 
  name="PageTitle" 
  bundleID="appBundle"
  pageTitleText="page.title.preference" 
  showPageTitleSeparator="true"
  showPageButtonsTop="true"
  showPageButtonsBottom="true">

<!-- PropertySheet -->
  <cc:propertysheet 
   name="PropertySheet" 
   bundleID="appBundle" 
   showJumpLinks="false"
   addJavaScript="true" />

</cc:pagetitle>

<script language="JavaScript">
 init();
</script>

</cc:form>

</sa:secondarymasthead>

</jato:useViewBean>


